Skip to content

LookupTypeName⁠

Perform various operations for Symitar parameters.

Operations⁠

getLookupTypeNameSelectFields⁠

POST

Execute the persistent ParameterService getLookupTypeNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LookupTypeNameLookupTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLookupTypeNameSelectFields
POST /nexum/627/persistent/parameter/getLookupTypeNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LookupTypeNameLookupType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLookupTypeNameFields": true,
    "LookupTypeNameFields": {
      "LookupType": true,
      "LookupTypeValue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLookupTypeNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getLookupTypeNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLookupTypeNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getLookupTypeNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLookupTypeNameFields": true,
    "LookupTypeNameFields": {
      "LookupType": true,
      "LookupTypeValue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLookupTypeNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchLookupTypeNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLookupTypeNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchLookupTypeNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLookupTypeNameFields": true,
    "LookupTypeNameFields": {
      "LookupType": true,
      "LookupTypeValue": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLookupTypeNameByID⁠

POST

Execute the persistent ParameterService updateLookupTypeNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LookupTypeNameLookupTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLookupTypeNameByID
POST /nexum/627/persistent/parameter/updateLookupTypeNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LookupTypeNameLookupType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LookupTypeNameFields": {
    "LookupType": 0,
    "LookupTypeValue": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}